Home
last modified time | relevance | path

Searched refs:grep (Results 1 – 25 of 1753) sorted by relevance

12345678910>>...71

/external/llvm/utils/lit/utils/
Dcheck-sdist11 grep -v '^\./.gitignore' | \
12 grep -v '^\./dist' | \
13 grep -v '^\./utils' | \
14 grep -v '^\./venv' | \
15 grep -v '^\./notes.txt' | \
16 grep -v '^\./lit.egg-info' | \
17 grep -v '^\./lit/ExampleTests' | \
18 grep -v '/Output' | \
19 grep -v '__pycache__' | \
20 grep -v '.pyc$' | grep -v '~$' | \
[all …]
/external/clang/test/CodeGenObjC/
Dblocks-1.m2 // RUN: grep "_Block_object_dispose" %t | count 6
3 // RUN: grep "__copy_helper_block_" %t | count 4
4 // RUN: grep "__destroy_helper_block_" %t | count 4
5 // RUN: grep "__Block_byref_object_copy_" %t | count 2
6 // RUN: grep "__Block_byref_object_dispose_" %t | count 2
7 // RUN: not grep "i32 135)" %t
8 // RUN: grep "_Block_object_assign" %t | count 4
9 // RUN: grep "objc_read_weak" %t | count 2
10 // RUN: grep "objc_assign_weak" %t | count 3
12 // RUN: grep "_Block_object_dispose" %t | count 6
[all …]
Dobjc-align.m16 // RUNX: grep '@"OBJC_CLASS_$_A" = global' %t &&
17 // RUNX: grep '@"OBJC_CLASS_$_C" = global' %t &&
18 // RUNX: grep '@"OBJC_METACLASS_$_A" = global' %t &&
19 // RUNX: grep '@"OBJC_METACLASS_$_C" = global' %t &&
20 // RUNX: grep '@"\\01L_OBJC_CLASSLIST_REFERENCES_$_0" = private global .*, section "__DATA, __objc_…
21 // RUNX: grep '@"\\01L_OBJC_LABEL_CATEGORY_$" = private global .*, section "__DATA, __objc_catlist,…
22 // RUNX: grep '@"\\01L_OBJC_LABEL_CLASS_$" = private global .*, section "__DATA, __objc_classlist, …
23 // RUNX: grep '@"\\01l_OBJC_$_CATEGORY_A_$_Cat" = private global .*, section "__DATA, __objc_const"…
24 // RUNX: grep '@"\\01l_OBJC_CLASS_PROTOCOLS_$_C" = private global .*, section "__DATA, __objc_const…
25 // RUNX: grep '@"\\01l_OBJC_CLASS_RO_$_A" = private global .*, section "__DATA, __objc_const", alig…
[all …]
Dprotocols-lazy.m4 // RUN: not grep OBJC_PROTOCOL_P0 %t
8 // RUN: not grep OBJC_PROTOCOL_P1 %t
12 // RUN: grep OBJC_PROTOCOL_P2 %t | count 3
13 // RUN: grep OBJC_PROTOCOL_INSTANCE_METHODS_P2 %t | count 3
18 // RUN: grep OBJC_PROTOCOL_P3 %t | count 3
19 // RUN: not grep OBJC_PROTOCOL_INSTANCE_METHODS_P3 %t
24 // RUN: grep OBJC_PROTOCOL_P4 %t | count 3
25 // RUN: grep OBJC_PROTOCOL_INSTANCE_METHODS_P4 %t | count 3
31 // RUN: grep OBJC_PROTOCOL_P5 %t | count 3
32 // RUN: grep OBJC_PROTOCOL_INSTANCE_METHODS_P5 %t | count 3
[all …]
Dbitfield-ivar-offsets.m2 // RUN: grep -F '@"OBJC_IVAR_$_I0._b0" = global i64 0, section "__DATA, __objc_ivar", align 8' %t
3 // RUN: grep -F '@"OBJC_IVAR_$_I0._b1" = global i64 0, section "__DATA, __objc_ivar", align 8' %t
4 // RUN: grep -F '@"OBJC_IVAR_$_I0._b2" = global i64 1, section "__DATA, __objc_ivar", align 8' %t
5 // RUN: grep -F '@"OBJC_IVAR_$_I0._x" = global i64 2, section "__DATA, __objc_ivar", align 8' %t
6 // RUN: grep -F '@"OBJC_IVAR_$_I0._b3" = global i64 4, section "__DATA, __objc_ivar", align 8' %t
7 // RUN: grep -F '@"OBJC_IVAR_$_I0._y" = global i64 6, section "__DATA, __objc_ivar", align 8' %t
8 // RUN: grep -F '@"OBJC_IVAR_$_I0._b4" = global i64 7, section "__DATA, __objc_ivar", align 8' %t
9 // RUN: not grep -F '@"OBJC_IVAR_$_I0." = global' %t
/external/llvm/test/CodeGen/PowerPC/
DFrames-small.ll2 ; RUN: not grep "stw r31, -4(r1)" %t1
3 ; RUN: grep "stwu r1, -16416(r1)" %t1
4 ; RUN: grep "addi r1, r1, 16416" %t1
6 ; RUN: not grep "lwz r31, -4(r1)"
9 ; RUN: grep "stw r31, -4(r1)" %t2
10 ; RUN: grep "stwu r1, -16416(r1)" %t2
11 ; RUN: grep "addi r1, r1, 16416" %t2
12 ; RUN: grep "lwz r31, -4(r1)" %t2
14 ; RUN: not grep "std r31, -8(r1)" %t3
15 ; RUN: grep "stdu r1, -16432(r1)" %t3
[all …]
DFrames-leaf.ll2 ; RUN: not grep "stw r31, 20(r1)"
4 ; RUN: not grep "stwu r1, -.*(r1)"
6 ; RUN: not grep "addi r1, r1, "
8 ; RUN: not grep "lwz r31, 20(r1)"
10 ; RUN: not grep "stw r31, 20(r1)"
12 ; RUN: not grep "stwu r1, -.*(r1)"
14 ; RUN: not grep "addi r1, r1, "
16 ; RUN: not grep "lwz r31, 20(r1)"
18 ; RUN: not grep "std r31, 40(r1)"
20 ; RUN: not grep "stdu r1, -.*(r1)"
[all …]
Di64_fp.ll5 ; RUN: grep fcfid
7 ; RUN: grep fctidz
9 ; RUN: grep fcfid
11 ; RUN: grep fctidz
13 ; RUN: not grep fcfid
15 ; RUN: not grep fctidz
17 ; RUN: not grep fcfid
19 ; RUN: not grep fctidz
/external/harfbuzz_ng/src/
Dcheck-includes.sh17 grep '#.*\<include\>' "$x" /dev/null | head -n 1
19 grep -v '"hb-common[.]h"' |
20 grep -v '"hb[.]h"' |
21 grep -v 'hb-common[.]h:' |
22 grep -v 'hb[.]h:' |
23 grep . >&2 && stat=1
30 grep '#.*\<include\>' "$x" /dev/null | head -n 1
32 grep -v '"hb-.*private[.]hh"' |
33 grep -v 'hb-private[.]hh:' |
34 grep . >&2 && stat=1
[all …]
/external/compiler-rt/lib/tsan/
Danalyze_libtsan.sh7 grep __tsan_$1.: -A 10000 libtsan.objdump | \
24 nm -S $BIN | grep "__tsan_" > libtsan.nm
30 size=$(grep __tsan_$f$ libtsan.nm | awk --non-decimal-data '{print ("0x"$2)+0}')
31 rsp=$(grep '(%rsp)' $file | wc -l)
32 push=$(grep 'push' $file | wc -l)
33 pop=$(grep 'pop' $file | wc -l)
34 call=$(grep 'call' $file | wc -l)
37 mov=$(grep 'mov' $file | wc -l)
38 lea=$(grep 'lea' $file | wc -l)
39 sh=$(grep 'shr\|shl' $file | wc -l)
[all …]
/external/bzip2/
Dbzgrep13 *egrep) grep=${EGREP-egrep} ;;
14 *fgrep) grep=${FGREP-fgrep} ;;
15 *) grep=${GREP-grep} ;;
21 if test "$grep" = grep; then # grep is buggy with -e on SVR4
22 grep=egrep
52 bzip2 -cdfq | $grep $opt "$pat"
60 bzip2 -cdfq "$i" | $grep $opt "$pat" 2>&1 > /dev/null && echo $i
63 bzip2 -cdfq "$i" | $grep $opt "$pat"
70 bzip2 -cdfq "$i" | $grep $opt "$pat" | sed "s|^|${j}:|"
/external/protobuf/src/google/protobuf/compiler/
Dzip_output_unittest.sh57 grep 'testing: testzip\.pb\.cc *OK$' testzip.list > /dev/null \
59 grep 'testing: testzip\.pb\.h *OK$' testzip.list > /dev/null \
61 grep 'testing: testzip_pb2\.py *OK$' testzip.list > /dev/null \
63 grep -i 'manifest' testzip.list > /dev/null \
73 grep '^test/jar/Foo\.java$' testzip.list > /dev/null \
75 grep '^test/jar/Bar\.java$' testzip.list > /dev/null \
77 grep '^test/jar/Outer\.java$' testzip.list > /dev/null \
79 grep '^META-INF/MANIFEST\.MF$' testzip.list > /dev/null \
/external/bison/
Dmaint.mk56 $(shell gzip --help 2>/dev/null|grep rsyncable >/dev/null \
89 | if test -f $(srcdir)/.x-$@; then grep -vEf $(srcdir)/.x-$@; \
90 else grep -Ev -e "$${VC_LIST_EXCEPT_DEFAULT-ChangeLog}"; fi \
91 | grep -Ev -e '($(VC_LIST_ALWAYS_EXCLUDE_REGEX)|$(_sc_excl))' \
296 files=$$(find $(srcdir) | grep -E "$$in_files" \
297 | grep -Ev '$(_sc_excl)'); \
301 files=$$(echo "$$files" | grep -E "$$in_vc_files"); \
307 && { files=$$(grep -l "$$containing" $$files); } || :; \
309 && { files=$$(grep -vl "$$non_containing" $$files); } || :; \
314 grep $$with_grep_options $(_ignore_case) -nE "$$prohibit" $$files \
[all …]
/external/chromium_org/third_party/protobuf/src/google/protobuf/compiler/
Dzip_output_unittest.sh63 grep 'testing: testzip\.pb\.cc *OK$' $TEST_TMPDIR/testzip.list > /dev/null \
65 grep 'testing: testzip\.pb\.h *OK$' $TEST_TMPDIR/testzip.list > /dev/null \
67 grep 'testing: testzip_pb2\.py *OK$' $TEST_TMPDIR/testzip.list > /dev/null \
69 grep -i 'manifest' $TEST_TMPDIR/testzip.list > /dev/null \
79 grep '^test/jar/Foo\.java$' $TEST_TMPDIR/testzip.list > /dev/null \
81 grep '^test/jar/Bar\.java$' $TEST_TMPDIR/testzip.list > /dev/null \
83 grep '^test/jar/Outer\.java$' $TEST_TMPDIR/testzip.list > /dev/null \
85 grep '^META-INF/MANIFEST\.MF$' $TEST_TMPDIR/testzip.list > /dev/null \
/external/chromium_org/tools/valgrind/
Dwaterfall.sh57 SLAVES=$(grep "<a href=\"builders\/" "$LOGS_DIR/builders" | \
58 grep 'td class="box"' | \
85 grep "success\|failure" | \
87 grep "failure" | \
88 grep -v "failed compile" | \
100 REPORT_URLS=$(grep -o "[0-9]\+/steps/memory.*/logs/[0-9A-F]\{16\}" \
103 FAILED_TESTS=$(grep -o "[0-9]\+/steps/memory.*/logs/[A-Za-z0-9_.]\+" \
104 "$TMPFILE" | grep -v "[0-9A-F]\{16\}" \
105 | grep -v "stdio" || true)
139 grep -h -o "^FAILED:.*" -R "$LOGS_DIR"/*${PLATFORM}* | \
[all …]
/external/valgrind/main/auxprogs/
Dgsl19test112 echo -n " Native fails: " && (grep FAIL: out-REF | wc -l)
113 echo -n " Native passes: " && (grep PASS: out-REF | wc -l)
114 echo -n " Valgrind fails: " && (grep FAIL: out-V | wc -l)
115 echo -n " Valgrind passes: " && (grep PASS: out-V | wc -l)
117 (echo -n " Native fails: " && (grep FAIL: out-REF | wc -l)) >> summary.txt
118 (echo -n " Native passes: " && (grep PASS: out-REF | wc -l)) >> summary.txt
119 (echo -n " Valgrind fails: " && (grep FAIL: out-V | wc -l)) >> summary.txt
120 (echo -n " Valgrind passes: " && (grep PASS: out-V | wc -l)) >> summary.txt
Dgsl16test107 echo -n " Native fails: " && (grep FAIL: out-REF | wc -l)
108 echo -n " Native passes: " && (grep PASS: out-REF | wc -l)
109 echo -n " Valgrind fails: " && (grep FAIL: out-VAL | wc -l)
110 echo -n " Valgrind passes: " && (grep PASS: out-VAL | wc -l)
112 (echo -n " Native fails: " && (grep FAIL: out-REF | wc -l)) >> summary.txt
113 (echo -n " Native passes: " && (grep PASS: out-REF | wc -l)) >> summary.txt
114 (echo -n " Valgrind fails: " && (grep FAIL: out-VAL | wc -l)) >> summary.txt
115 (echo -n " Valgrind passes: " && (grep PASS: out-VAL | wc -l)) >> summary.txt
/external/strace/tests/
Dqual_syscall.test8 check_prog grep
11 grep '^execve(' $LOG > /dev/null ||
14 grep -v '^execve(' $LOG |
15 LC_ALL=C grep '^[[:alnum:]_]*(' > /dev/null &&
19 grep '^execve(' $LOG > /dev/null ||
22 grep '^open' $LOG > /dev/null &&
/external/clang/test/Modules/
Dprune.m16 // RUN: ls %t | grep modules.timestamp
17 // RUN: ls -R %t | grep ^Module.*pcm
18 // RUN: ls -R %t | grep DependsOnModule.*pcm
24 // RUN: ls %t | grep modules.timestamp
25 // RUN: ls -R %t | grep ^Module.*pcm
26 // RUN: ls -R %t | grep DependsOnModule.*pcm
33 // RUN: ls %t | grep modules.timestamp
34 // RUN: ls -R %t | grep ^Module.*pcm
35 // RUN: ls -R %t | grep DependsOnModule.*pcm
42 // RUN: ls %t | grep modules.timestamp
[all …]
/external/llvm/test/CodeGen/Mips/
D2008-07-15-SmallSection.ll3 ; DISABLED: grep {sdata} %t0 | count 1
4 ; DISABLED: grep {sbss} %t0 | count 1
5 ; DISABLED: grep {gp_rel} %t0 | count 2
6 ; DISABLED: not grep {sdata} %t1
7 ; DISABLED: not grep {sbss} %t1
8 ; DISABLED: not grep {gp_rel} %t1
9 ; DISABLED: grep {\%hi} %t1 | count 2
10 ; DISABLED: grep {\%lo} %t1 | count 3
/external/chromium_org/v8/tools/
Dplot-timer-events30 d8_exec=`grep -m 1 -o '".*/d8"' $log_file | sed 's/"//g'`
42 `echo "$arg" | grep -q "^--distortion"`
56 t_1_start=`grep "timer-event-start,\"V8.Execute\"" $calibration_log \
58 t_1_end=`grep "timer-event-end,\"V8.Execute\"" $calibration_log \
60 n_1=`grep "timer-event\|tick" $calibration_log | wc -l`
64 t_2_start=`grep "timer-event-start,\"V8.Execute\"" $calibration_log \
66 t_2_end=`grep "timer-event-end,\"V8.Execute\"" $calibration_log \
68 n_2=`grep "timer-event\|tick" $calibration_log | wc -l`
/external/strace/linux/
Dioctlent.sh50 (cd "$dir" && for f; do grep "$regexp" "$f" "uapi/$f" 2>/dev/null; done) |
76 grep -v '^asm-'
91 (cd $dir && grep $regexp $files 2>/dev/null) | \
116 line=$( (cd $dir && grep -h $regexp 2>/dev/null $files) | grep -v '\<_IO')
122 if ! grep "\<$base\>" ioctldefs.h >/dev/null 2>/dev/null; then
128 ${CPP:-cpp} -P $(grep -l $base $files 2>/dev/null) | sed '/^$/d' | \
147 if ! grep "\<$base\>" ioctldefs.h >/dev/null 2>/dev/null; then
/external/llvm/test/CodeGen/X86/
Dga-offset.ll2 ; RUN: not grep lea %t
3 ; RUN: not grep add %t
4 ; RUN: grep mov %t | count 1
6 ; RUN: not grep lea %t
7 ; RUN: not grep add %t
8 ; RUN: grep mov %t | count 1
/external/lldb/include/lldb/
DMakefile14 | grep -v CVS | grep -v .svn | grep -v .dir` ; do \
27 | grep -v CVS | grep -v .tmp | grep -v .dir` ; do \
/external/eigen/bench/btl/data/
Dsmooth_all.sh6 AXPY_FILE=`find ${ORIG_DIR} -name "*.dat" | grep axpy`
17 MATRIX_VECTOR_FILE=`find ${ORIG_DIR} -name "*.dat" | grep matrix_vector`
27 MATRIX_MATRIX_FILE=`find ${ORIG_DIR} -name "*.dat" | grep matrix_matrix`
35 AAT_FILE=`find ${ORIG_DIR} -name "*.dat" | grep _aat`
44 ATA_FILE=`find ${ORIG_DIR} -name "*.dat" | grep _ata`
54 TINY_BLITZ_FILE=`find ${ORIG_DIR} -name "*.dat" | grep tiny_blitz`
62 TVMET_FILE=`find ${ORIG_DIR} -name "*.dat" | grep tvmet`

12345678910>>...71